> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# List tax system health records

GET https://rest.test.zuora.com/system-health/tax/details

Returns System Health Electronic records that are generated by your Zuora tenant within a specified time range.


You can filter the failure records by one or multiple of the following fields:
  - vendorName
  - eventType
  - status


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/system-health/tax-health/get-system-health-tax-records

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Query parameters

- `page` (integer, optional, default: 1) — The index number of the page that you want to retrieve. This parameter is dependent on `pageSize`. You must set `pageSize` before specifying `page`. For example, if you set `pageSize` to `20` and `page` to `2`, the 21st to 40th records are returned in the response.
- `pageSize` (integer, optional, default: 20) — The number of records returned per page in the response.
- `vendorName` (string, optional) — Filters the records by vendor name.
- `eventType` (string, optional) — Filters the tax records by event type.
- `status` (string, optional) — Filters the tax records by status.
- `sort` (string, optional) — This parameter restricts the order of the data returned in the response. You can use this parameter to supply a dimension you want to sort on. A sortable field uses the following form: *operator* *field_name*. If you do not specify any sortable field, the response data is sorted by the `timerange` field in descending order. *operator* is used to mark the order of sequencing. The operator is optional. If you only specify the sortable field without any operator, the response data is sorted in descending order by this field. - The `-` operator indicates an ascending order. - The `+` operator indicates a descending order. *field_name* indicates the name of a sortable field. The supported sortable fields of this operation are as below: - `timestamp` - `total_duration` - `vendor_duration` - `status` - `document_number`
- `startTime` (datetime, required) — Start time of the volume summary. Format: `yyyy-MM-dd'T'HH:mmZ` Example: `2022-09-22T09:07+0800`.
- `endTime` (datetime, required) — End time of the volume summary. Format: `yyyy-MM-dd'T'HH:mmZ` Example: `2022-09-22T09:07+0800`.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

## Response

### 200

OK

- `data` (list of TaxHealthDetailsRecords, optional) — List of tax record details.
- `nextPage` (string, optional) — URL to the next page of results for pagination.

## Errors

### 400 Bad Request Error

Bad Request

- `error` (string, optional) — Error status text.
- `message` (string, optional) — The associated reason.
- `path` (string, optional) — The system health api path having error.
- `status` (integer, optional) — Error status code.
- `timestamp` (datetime, optional) — The time when error happens.

## Types

### TaxHealthDetailsRecords

A detailed record of an event or transaction, including error details, processing durations, and associated account information.

- `error_message` (string, optional) — A detailed error message, if any, associated with the transaction or event.
- `document_number` (string, optional) — The document number associated with the transaction, such as an invoice number.
- `vendor_name` (string, optional) — The name of the vendor involved in the transaction.
- `event_source` (string, optional) — The source of the event, such as a third-party service or system.
- `error_category` (string, optional) — The main category of the error, if applicable.
- `account_id` (string, optional) — The unique identifier for the account involved in the event or transaction.
- `event_type` (string, optional) — The type of event, such as tax generation or another action.
- `total_duration` (integer, optional) — The total time taken to process the event or transaction, in milliseconds.
- `zuora_request_id` (string, optional) — A unique identifier for the request to the Zuora system.
- `account_name` (string, optional) — The name of the account associated with the event or transaction.
- `vendor_duration` (double, optional) — The time taken by the vendor to process the request, in milliseconds.
- `sub_error_category` (string, optional) — A more specific subcategory of the error, if applicable.
- `status` (enum, optional) — The current status of the event or transaction.
  - Allowed values: `success`, `error`
- `timestamp` (datetime, optional) — The timestamp of the event or transaction in ISO 8601 format.

## Examples

**Response**

```json
{
  "data": [
    {
      "error_message": "",
      "document_number": "INV419655124",
      "vendor_name": "AvaTax",
      "event_source": "avalara",
      "error_category": "",
      "account_id": "8a1283368cd9a250018cee13373471a7",
      "event_type": "taxGenerate",
      "total_duration": 145,
      "zuora_request_id": "881cf248-5c26-4ca2-b984-8426faf05a22",
      "account_name": "Amy Lawrence's Account",
      "vendor_duration": 145,
      "sub_error_category": "",
      "status": "success",
      "timestamp": "2025-01-10T04:08:58"
    },
    {
      "error_message": "",
      "document_number": "INV519605124",
      "vendor_name": "AvaTax",
      "event_source": "avalara",
      "error_category": "",
      "account_id": "8a1283368cd9a250018cee13373471a7",
      "event_type": "taxGenerate",
      "total_duration": 149,
      "zuora_request_id": "881cf248-5c26-4cq2-b984-8426faf05a22",
      "account_name": "Amy Lawrence's Account",
      "vendor_duration": 145,
      "sub_error_category": "",
      "status": "success",
      "timestamp": "2025-01-10T04:08:58"
    }
  ],
  "nextPage": "/system-health/tax/details?pageSize=1&startTime=2025-01-10T09:07+0800&endTime=2025-01-12T09:07+0800&sort=-timestamp&page=3"
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/system-health/tax/details"

querystring = {"endTime":"endTime","sort":"sort=-total_duration","startTime":"startTime"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/system-health/tax/details?endTime=endTime&sort=sort%3D-total_duration&startTime=startTime';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/system-health/tax/details?endTime=endTime&sort=sort%3D-total_duration&startTime=startTime"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/system-health/tax/details?endTime=endTime&sort=sort%3D-total_duration&startTime=startTime")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/system-health/tax/details?endTime=endTime&sort=sort%3D-total_duration&startTime=startTime")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/system-health/tax/details?endTime=endTime&sort=sort%3D-total_duration&startTime=startTime', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/system-health/tax/details?endTime=endTime&sort=sort%3D-total_duration&startTime=startTime");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/system-health/tax/details?endTime=endTime&sort=sort%3D-total_duration&startTime=startTime")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```